Skip to main content
POST
/
api
/
midnight
/
{network}
/
dust
/
status
/
batch
Batch-fetch DUST registration status for up to 50 reward addresses
curl --request POST \
  --url https://nexus.gerowallet.io/api/midnight/{network}/dust/status/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardanoRewardAddresses": [
    "<string>"
  ]
}
'
[
  {
    "cardano_reward_address": "<string>",
    "dust_address": "<string>",
    "registered": true,
    "night_balance": "<string>",
    "generation_rate": "<string>",
    "max_capacity": "<string>",
    "current_capacity": "<string>",
    "registration_utxo_tx_hash": "<string>",
    "registration_utxo_output_index": 123
  }
]

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

network
string
required

Body

application/json
cardanoRewardAddresses
string[]
required
Maximum array length: 50

Response

200 - */*

OK

cardano_reward_address
string
dust_address
string
registered
boolean
night_balance
string
generation_rate
string
max_capacity
string
current_capacity
string
registration_utxo_tx_hash
string
registration_utxo_output_index
integer<int32>